<?php

namespace addons\kouming_domain\controller;

use addons\kouming_domain\lib\Helper;
use think\Db;

class ApiController extends BaseController
{
    private $api_url = 'https://api.kouming.com';

    public function config()
    {
        /*
         * 设置接口
         */
        if ($this->request->param('method') == "action") {
            //验证
            $result = $this->verifyConfig($this->request->param('user_id'), $this->request->param('api_key'));
            if ($result) {
                return Helper::message(1, $result);
            }
            $update_data = [
                'config' => json_encode([
                    'api_url' => $this->api_url,
                    'auth_use' => $this->request->param('auth_use'),
                    "user_id" => $this->request->param('user_id'),
                    "api_key" => $this->request->param('api_key')
                ])
            ];
            Db::name('kouming_config')->where('name', 'domain')->update($update_data);
            return Helper::message(0, "操作成功", 'reload', true, "设置API：" . json_encode($update_data));
        }
        /*
         * 获取账户信息
         */
        if ($this->request->param('method') == "get_account") {
            $result = $this->getAccount();
            if (!isset($result["userId"])) {
                return Helper::message(1, "");
            }
            return Helper::message(0, "", '', false, '', $result);
        }
        $this->assign('Title', "接口设置");
        $this->assign('config', $this->config);
        return $this->fetch('/api_config');
    }

    # 验证设置
    private function verifyConfig($user_id, $api_key)
    {
        $url_path = "/";
        $public_parameter = Helper::publicParameter($user_id, $api_key);
        $api_data = [];
        $api_result = Helper::objectArray(json_decode(Helper::post($this->api_url . $url_path, array_merge($public_parameter, $api_data))));
        Helper::writeApiLog($url_path, $api_data, $api_result);
        if ($api_result["code"]) {
            return $api_result["message"];
        }
        return false;
    }

    # 获取账户信息
    private function getAccount()
    {
        if (empty($this->config)) {
            return "接口未设置";
        }
        $public_parameter = Helper::publicParameter($this->config["user_id"], $this->config["api_key"]);
        $api_result = Helper::objectArray(json_decode(Helper::post($this->api_url . "/Account/info", $public_parameter)));
        if ($api_result["code"]) {
            return "获取失败";
        }
        return $api_result["data"];
    }

}