<?php

namespace addons\kouming_domain\controller;

use addons\kouming_domain\lib\Helper;
use think\Db;

class DomainController extends BaseController
{
    # 域名管理
    public function index()
    {
        //列表
        if ($this->request->param('method') == "list") {
            //按字段排序默认ID字段
            $field = $this->request->param('field');
            //升序降序默认desc
            $sort = $this->request->param('sort');
            //默认排序
            if (!$field or !$sort) {
                $field = "id";
                $sort = "desc";
            }
            //每页显示默认10条
            $perpage = $this->request->param('limit') ?? 10;
            //页码无数据1
            $page = $this->request->param('page') ?? 1;
            //查询条件
            $where = [];
            $query = is_array(Request()->get()) ? Request()->get() : array();
            foreach ($query as $k => $v) {
                if ($v or $v == "0") {
                    if ($k != "_plugin" and $k != "_controller" and $k != "_action" and $k != "method" and $k != "field" and $k != "sort" and $k != "limit" and $k != "page") {
                        //用户
                        if ($k == "user") {
                            $user = Db::name('clients')->where('email', $v)->find();
                            $where[] = [
                                "uid",
                                "=",
                                $user["id"]
                            ];
                            continue;
                        }
                        if ($k == "status") {
                            if ($v == "expired") {
                                $where[] = [
                                    "end_date",
                                    "<=",
                                    date("Y-m-d")
                                ];
                                continue;
                            }
                        }
                        $where[] = [$k, "=", $v];
                    }
                }
            }
            if (!$where) {
                $where[] = ["id", ">", 0];
            }
            //取得总数
            $total = Db::name('kouming_domain_list')->where($where)->order($field, $sort)->count();
            //判断页码
            $true_page = ceil($total / $perpage);
            if ($page > $true_page) {
                $page = 1;
            }
            //如果显示条数大于总数分页关闭
            if ($perpage > $total) {
                $page = 1;
            }
            //分页
            $start = max(0, ($page - 1) * $perpage);
            //查数据
            $data = Db::name('kouming_domain_list')->where($where)->order($field, $sort)->limit($start, $perpage)->select()->toArray();
            //重组数据
            $dataS = [];
            foreach ($data as $k => $v) {
                unset($data[$k]);
                $user = Db::name('clients')->where('id', $v["uid"])->find();
                $v["user"] = $user["email"] ?? "-";
                if ($v["end_date"] < date("Y-m-d")) {
                    $v["status"] = "expired";
                }
                $dataS[$k] = $v;
            }
            $data = array(
                "count" => $total,
                "list" => $dataS
            );
            return Helper::message(0, '查询成功', '', false, '', $data);
        }
        //编辑
        if ($this->request->param('method') == "edit") {
            $result = Db::name('kouming_domain_list')->where('id', intval($this->request->param('id')))->find();
            if (!$result["id"]) {
                return Helper::message(1, "该域名不存在");
            }
            $update_data = [];
            //修改用户
            if ($this->request->param('user')) {
                $user = Db::name('clients')->where('email', $this->request->param('user'))->find();
                if (!$user["id"]) {
                    return Helper::message(1, "用户不存在");
                }
                if ($user["id"] != $result["uid"]) {
                    $update_data["uid"] = $user["id"];
                }
            }
            //修改状态
            if ($this->request->param('status') == "expired") {
                if ($result["end_date"] > date("Y-m-d")) {
                    $update_data["end_date"] = $result["start_date"];
                }
            } else {
                $update_data["status"] = $this->request->param('status');
                $update_data["end_date"] = $this->request->param('end_date');
            }
            $update_data["start_date"] = $this->request->param('start_date');
            $update_data["remark"] = $this->request->param('remark');
            //修改
            Db::name('kouming_domain_list')->where("id", $result["id"])->update($update_data);
            $result_new = Db::name('kouming_domain_list')->where('id', $result["id"])->find();
            return Helper::message(0, "编辑成功", '', true, "编辑域名：" . json_encode($result) . "-to-" . json_encode($result_new));
        }
        $this->assign('Title', "域名管理");
        return $this->fetch('/domain_index');
    }

    # 后缀管理
    public function suffix()
    {
        //列表
        if ($this->request->param('method') == "list") {
            //按字段排序默认ID字段
            $field = $this->request->param('field');
            //升序降序默认desc
            $sort = $this->request->param('sort');
            //默认排序
            if (!$field or !$sort) {
                $field = "id";
                $sort = "desc";
            }
            //每页显示默认10条
            $perpage = $this->request->param('limit') ?? 10;
            //页码无数据1
            $page = $this->request->param('page') ?? 1;
            //查询条件
            $where = [];
            $query = is_array(Request()->get()) ? Request()->get() : array();
            foreach ($query as $k => $v) {
                if ($v or $v == "0") {
                    if ($k != "_plugin" and $k != "_controller" and $k != "_action" and $k != "method" and $k != "field" and $k != "sort" and $k != "limit" and $k != "page") {
                        $where[] = [$k, "=", $v];
                    }
                }
            }
            if (!$where) {
                $where[] = ["id", ">", 0];
            }
            //取得总数
            $total = Db::name('kouming_domain_suffix')->where($where)->order($field, $sort)->count();
            //判断页码
            $true_page = ceil($total / $perpage);
            if ($page > $true_page) {
                $page = 1;
            }
            //如果显示条数大于总数分页关闭
            if ($perpage > $total) {
                $page = 1;
            }
            //分页
            $start = max(0, ($page - 1) * $perpage);
            //查数据
            $data = Db::name('kouming_domain_suffix')->where($where)->order($field, $sort)->limit($start, $perpage)->select()->toArray();
            //重组数据
            $dataS = [];
            foreach ($data as $k => $v) {
                unset($data[$k]);
                $dataS[$k] = $v;
            }
            $data = array(
                "count" => $total,
                "list" => $dataS
            );
            return Helper::message(0, '查询成功', '', false, '', $data);
        }
        //添加
        if ($this->request->param('method') == "add") {
            $result = Db::name('kouming_domain_suffix')->where([
                'suffix' => $this->request->param('suffix'),
                'language' => $this->request->param('language'),
            ])->find();
            if ($result["id"]) {
                return Helper::message(1, "后缀已存在");
            }
            $add_data = [
                'suffix' => $this->request->param('suffix'),
                'language' => $this->request->param('language'),
                'status' => intval($this->request->param('status')),
                'create' => $this->request->param('create'),
                'renewal' => $this->request->param('renewal')
            ];
            Db::name('kouming_domain_suffix')->insert($add_data);
            return Helper::message(0, "添加成功", '', true, "添加域名后缀：" . json_encode($this->request->post()));
        }
        //编辑
        if ($this->request->param('method') == "edit") {
            $result = Db::name('kouming_domain_suffix')->where('id', intval($this->request->param('id')))->find();
            if (!$result["id"]) {
                return Helper::message(1, "该后缀不存在");
            }
            $suffix = Db::name('kouming_domain_suffix')->where([
                ['suffix', "=", $this->request->param('suffix')],
                ['language', "=", $this->request->param('language')],
                ["id", "<>", $result["id"]]
            ])->find();
            if ($suffix["id"]) {
                return Helper::message(1, "后缀已存在");
            }
            $update_data = [
                'suffix' => $this->request->param('suffix'),
                'language' => $this->request->param('language'),
                'status' => intval($this->request->param('status')),
                'create' => $this->request->param('create'),
                'renewal' => $this->request->param('renewal')
            ];
            Db::name('kouming_domain_suffix')->where("id", $result["id"])->update($update_data);
            $result_new = Db::name('kouming_domain_suffix')->where('id', $result["id"])->find();
            return Helper::message(0, "编辑成功", '', true, "编辑域名后缀：" . json_encode($result) . "-to-" . json_encode($result_new));
        }
        //删除
        if ($this->request->param('method') == "delete") {
            $result = Db::name('kouming_domain_suffix')->where('id', intval($this->request->param('id')))->find();
            if (!$result["id"]) {
                return Helper::message(1, "该后缀不存在");
            }
            //是否存在该业务
            $domain = Db::name('kouming_domain_list')->where([
                'suffix' => $result["suffix"],
                'language' => $result["language"]
            ])->find();
            if ($domain["id"]) {
                return Helper::message(1, "存在域名使用禁止删除");
            }
            //删除后缀
            Db::name('kouming_domain_suffix')->delete($result["id"]);
            return Helper::message(0, "删除成功", '', true, "删除域名后缀：" . json_encode($this->request->post()));
        }
        $this->assign('Title', "后缀设置");
        return $this->fetch('/domain_suffix');
    }
}