<?php

namespace addons\kouming_domain\controller;

use addons\kouming_domain\lib\Helper;
use think\Db;

class LogController extends BaseController
{
    # 接口日志
    public function api()
    {
        if ($this->request->param('method') == "list") {
            //按字段排序默认ID字段
            $field = $this->request->param('field');
            //升序降序默认desc
            $sort = $this->request->param('sort');
            //默认排序
            if (!$field or !$sort) {
                $field = "id";
                $sort = "desc";
            }
            //每页显示默认10条
            $perpage = $this->request->param('limit') ?? 10;
            //页码无数据1
            $page = $this->request->param('page') ?? 1;
            //查询条件
            $where = [];
            $query = is_array(Request()->get()) ? Request()->get() : array();
            foreach ($query as $k => $v) {
                if ($v or $v == "0") {
                    if ($k != "_plugin" and $k != "_controller" and $k != "_action" and $k != "method" and $k != "field" and $k != "sort" and $k != "limit" and $k != "page") {
                        //备注
                        if ($k == "remark") {
                            $where[] = [
                                $k,
                                "like",
                                "%$v%"
                            ];
                            continue;
                        }
                        $where[] = [$k, "=", $v];
                    }
                }
            }
            $where[] = ["type", "=", "api"];
            if (!$where) {
                $where[] = ["id", ">", 0];
            }
            //取得总数
            $total = Db::name('kouming_domain_log')->where($where)->order($field, $sort)->count();
            //判断页码
            $true_page = ceil($total / $perpage);
            if ($page > $true_page) {
                $page = 1;
            }
            //如果显示条数大于总数分页关闭
            if ($perpage > $total) {
                $page = 1;
            }
            //分页
            $start = max(0, ($page - 1) * $perpage);
            //查数据
            $data = Db::name('kouming_domain_log')->where($where)->order($field, $sort)->limit($start, $perpage)->select()->toArray();
            //重组数据
            $dataS = [];
            foreach ($data as $k => $v) {
                unset($data[$k]);
                $dataS[$k] = $v;
            }
            $data = array(
                "count" => $total,
                "list" => $dataS
            );
            return Helper::message(0, '查询成功', '', false, '', $data);
        }
        $this->assign('Title', "接口日志");
        return $this->fetch('/log_api');
    }

    # 操作日志
    public function operating()
    {
        if ($this->request->param('method') == "list") {
            //按字段排序默认ID字段
            $field = $this->request->param('field');
            //升序降序默认desc
            $sort = $this->request->param('sort');
            //默认排序
            if (!$field or !$sort) {
                $field = "id";
                $sort = "desc";
            }
            //每页显示默认10条
            $perpage = $this->request->param('limit') ?? 10;
            //页码无数据1
            $page = $this->request->param('page') ?? 1;
            //查询条件
            $where = [];
            $query = is_array(Request()->get()) ? Request()->get() : array();
            foreach ($query as $k => $v) {
                if ($v or $v == "0") {
                    if ($k != "_plugin" and $k != "_controller" and $k != "_action" and $k != "method" and $k != "field" and $k != "sort" and $k != "limit" and $k != "page") {
                        //用户
                        if ($k == "user") {
                            $user = Db::name('clients')->where('email', $v)->find();
                            $where[] = [
                                "uid",
                                "=",
                                $user["id"]
                            ];
                            continue;
                        }
                        //管理员
                        if ($k == "admin") {
                            $user = Db::name('user')->where('user_login', $v)->find();
                            $where[] = [
                                "aid",
                                "=",
                                $user["id"]
                            ];
                            continue;
                        }
                        //备注
                        if ($k == "remark") {
                            $where[] = [
                                $k,
                                "like",
                                "%$v%"
                            ];
                            continue;
                        }
                        $where[] = [$k, "=", $v];
                    }
                }
            }
            $where[] = ["type", "=", "operating"];
            if (!$where) {
                $where[] = ["id", ">", 0];
            }
            //取得总数
            $total = Db::name('kouming_domain_log')->where($where)->order($field, $sort)->count();
            //判断页码
            $true_page = ceil($total / $perpage);
            if ($page > $true_page) {
                $page = 1;
            }
            //如果显示条数大于总数分页关闭
            if ($perpage > $total) {
                $page = 1;
            }
            //分页
            $start = max(0, ($page - 1) * $perpage);
            //查数据
            $data = Db::name('kouming_domain_log')->where($where)->order($field, $sort)->limit($start, $perpage)->select()->toArray();
            //重组数据
            $dataS = [];
            foreach ($data as $k => $v) {
                unset($data[$k]);
                $user = Db::name('clients')->where('id', $v["uid"])->find();
                $v["user"] = $user["email"] ?? "-";
                $admin = Db::name('user')->where('id', $v["aid"])->find();
                $v["admin"] = $admin["user_login"] ?? "-";
                $dataS[$k] = $v;
            }
            $data = array(
                "count" => $total,
                "list" => $dataS
            );
            return Helper::message(0, '查询成功', '', false, '', $data);
        }
        $this->assign('Title', "操作日志");
        return $this->fetch('/log_operating');
    }
}