<!-- 引入 layui.css -->
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/css/layui.css">
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/extend/common.css">
<section class="admin-main">
    <div class="container-fluid">
        <div class="page-container">
            <div class="card">
                <div class="card-body">
                    <div class="card-title row">
                        <div class="pl-4 pr-4">{$Title}</div>
                    </div>
                    <form class="layui-form" onkeydown="if(event.keyCode==13){return false;}">
                        <div class="table-header">
                            <div class="table-tools">
                                <label>用户</label>
                                <input type="text" name="user" class="form-control" placeholder="email">
                                <label>域名</label>
                                <input type="text" name="domain" class="form-control" placeholder="">
                                <label>后缀</label>
                                <input type="text" name="suffix" class="form-control" placeholder="">
                                <label>类型</label>
                                <select name="language" class="form-control" lay-ignore>
                                    <option value="">全部</option>
                                    <option value="G">中文</option>
                                    <option value="E">英文</option>
                                </select>
                                <label>状态</label>
                                <select name="status" class="form-control" lay-ignore>
                                    <option value="">全部</option>
                                    <option value="0">正常</option>
                                    <option value="expired">过期</option>
                                    <option value="1">禁用</option>
                                    <option value="2">注册失败</option>
                                    <option value="3">正在注册</option>
                                </select>
                                <button class="btn btn-primary w-xs" lay-submit lay-filter="table-search"><i class="fas fa-search"></i> 搜索</button>
                            </div>
                        </div>
                    </form>
                    <table class="layui-hide" id="table-data"></table>
                </div>
            </div>
        </div>
    </div>
</section>
<section id="forms" style="display: none">
    <div class="card-body" lay-filter="forms">
        <div class="table-body">
            <form id="layui-form" class="form layui-form" onkeydown="if(event.keyCode==13){return false;}" data-url="">
                <input type="hidden" name="id" value="">
                <div class="form-group row">
                    <label>域名</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control" lay-verify="required" name="domain" value="" disabled autocomplete="off"/>
                    </div>
                </div>
                <div class="form-group row">
                    <label>用户</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control" name="user" placeholder="email" value="" autocomplete="off"/>
                        所属用户（不修改请留空）
                    </div>
                </div>
                <div class="form-group row">
                    <label class="require">日期</label>
                    <div class="col-sm-8">
                        <div class="row">
                            <div class="col-sm-6">
                                <input type="text" class="form-control" lay-verify="required" name="start_date" value="" autocomplete="off"/>
                                <span>注册</span>
                            </div>
                            <div class="col-sm-6">
                                <input type="text" class="form-control" lay-verify="required" name="end_date" value="" autocomplete="off"/>
                                <span>过期</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group row">
                    <label>状态</label>
                    <div class="col-sm-8">
                        <input type="radio" name="status" value="0" title="正常" autocomplete="off" checked>
                        <input type="radio" name="status" value="1" title="禁用" autocomplete="off">
                        <input type="radio" name="status" value="2" title="注册失败" autocomplete="off">
                        <input type="radio" name="status" value="3" title="正在注册" autocomplete="off">
                        <input type="radio" name="status" value="expired" title="过期" autocomplete="off">
                    </div>
                </div>
                <div class="form-group row">
                    <label>备注</label>
                    <div class="col-sm-8">
                        <textarea rows="5" name="remark" class="form-control" autocomplete="off"></textarea>
                    </div>
                </div>
                <div class="row bottom-operation">
                    <div class="col-sm-12">
                        <button type="button" class="btn btn-primary w-md" lay-submit lay-filter="forms_submit" style="margin-right: 10px">提交保存
                        </button>
                        <button type="reset" class="btn btn-outline-secondary w-md" id="forms_cancel">取消提交</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</section>
<!-- 引入 layui.js -->
<script src="/plugins/addons/kouming_domain/template/public/layui.js"></script>
<script src="/plugins/addons/kouming_domain/template/public/extend/common.js"></script>
<script>
let editHandle = function (data, dom) {
    dom.find("input").removeAttr("checked");
    dom.find("input[name='id']").attr("value", data.id);
    dom.find("input[name='domain']").attr("value", data.domain);
    dom.find("input[name='status'][value='" + data.status + "']").attr("checked", true);
    dom.find("input[name='start_date']").attr("value", data.start_date);
    dom.find("input[name='end_date']").attr("value", data.end_date);
    dom.find("textarea[name='remark']").html(data.remark);
}
layui.use(['form', 'table'], function () {
table('{:shd_addon_url('KoumingDomain://Domain/index?method=list')}', [
{field: 'id', title: 'ID', sort: true, width: 80},
{field: 'user', title: '用户', width: 200,align:'center'},
{field: 'domain', title: '域名'},
{field: 'language', title: '类型', width: 100,templet: function(d){
let language = '英文';
if(d.language==='G'){
language = '中文';
}
return language;
}
},
{field: 'dns', title: 'DNS', width: 280},
{field: 'start_date', sort: true, title: '注册日期', width: 100},
{field: 'end_date', sort: true, title: '过期日期', width: 100},
{field: 'status', sort: true, title: '状态', width: 90,align:'center',templet: function(d){
let status = '<span class="text-success">正常</span>';
if(d.status==='1'){
status = '<span lay-tips="'+d.remark+'">禁用</span>';
}
if(d.status==='2'){
    status = '<span class="text-danger" lay-tips="'+d.remark+'">注册失败</span>';
}
if(d.status==='3'){
    status = '<span class="text-warning">正在注册</span>';
}
if(d.status==='expired'){
    status = '<span class="text-danger">过期</span>';
}
return status;
}
},
{fixed: 'right', title:'操作', width: 100,align:'center',templet: function(d){
return `
<a class="layui-btn layui-btn-normal layui-btn-xs" lay-event="edit" data-title="编辑域名" data-url="{:shd_addon_url('KoumingDomain://Domain/index?method=edit')}">编辑</a>
`;
}}
])
;
})
;
</script>