<!-- 引入 layui.css -->
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/css/layui.css">
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/extend/common.css">
<section class="admin-main">
    <div class="container-fluid">
        <div class="page-container">
            <div class="card">
                <div class="card-body">
                    <div class="card-title row">
                        <div class="pl-4 pr-4">{$Title}</div>
                    </div>
                    <form class="layui-form" onkeydown="if(event.keyCode==13){return false;}">
                        <div class="table-header">
                            <div class="table-tools">
                                <button type="button" class="btn btn-success w-sm nohide" lay-submit lay-filter="table-add"
                                        data-title="添加后缀"
                                        data-url="{:shd_addon_url('KoumingDomain://Domain/suffix?method=add')}">
                                    <i class="fas fa-plus-circle"></i> 添加后缀
                                </button>
                                <label>后缀</label>
                                <input type="text" name="suffix" class="form-control" placeholder="">
                                <label>类型</label>
                                <select name="language" class="form-control" lay-ignore>
                                    <option value="">全部</option>
                                    <option value="G">中文</option>
                                    <option value="E">英文</option>
                                </select>
                                <label>状态</label>
                                <select name="status" class="form-control" lay-ignore>
                                    <option value="">全部</option>
                                    <option value="0">开启</option>
                                    <option value="1">关闭</option>
                                </select>
                                <button class="btn btn-primary w-xs" lay-submit lay-filter="table-search"><i class="fas fa-search"></i> 搜索</button>
                            </div>
                        </div>
                    </form>
                    <table class="layui-hide" id="table-data"></table>
                </div>
            </div>
        </div>
    </div>
</section>
<section id="forms" style="display: none">
    <div class="card-body" lay-filter="forms">
        <div class="table-body">
            <form id="layui-form" class="form layui-form" onkeydown="if(event.keyCode==13){return false;}" data-url="">
                <input type="hidden" name="id" value="">
                <div class="form-group row">
                    <label class="require">后缀</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control" lay-verify="required" name="suffix" value="" autocomplete="off"/>
                        <span>例如：.com</span>
                    </div>
                </div>
                <div class="form-group row">
                    <label>类型</label>
                    <div class="col-sm-8">
                        <input type="radio" name="language" value="E" title="英文" checked>
                        <input type="radio" name="language" value="G" title="中文">
                    </div>
                </div>
                <div class="form-group row">
                    <label>状态</label>
                    <div class="col-sm-8">
                        <input type="radio" name="status" value="0" title="开启" checked>
                        <input type="radio" name="status" value="1" title="关闭">
                    </div>
                </div>
                <div class="form-group row">
                    <label class="require">价格</label>
                    <div class="col-sm-8">
                        <div class="row">
                            <div class="col-sm-6">
                                <input type="text" class="form-control" lay-verify="required" name="create" value="" autocomplete="off"/>
                                <span>注册</span>
                            </div>
                            <div class="col-sm-6">
                                <input type="text" class="form-control" lay-verify="required" name="renewal" value="" autocomplete="off"/>
                                <span>续费</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row bottom-operation">
                    <div class="col-sm-12">
                        <button type="button" class="btn btn-primary w-md" lay-submit lay-filter="forms_submit" style="margin-right: 10px">提交保存
                        </button>
                        <button type="reset" class="btn btn-outline-secondary w-md" id="forms_cancel">取消提交</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</section>
<!-- 引入 layui.js -->
<script src="/plugins/addons/kouming_domain/template/public/layui.js"></script>
<script src="/plugins/addons/kouming_domain/template/public/extend/common.js"></script>
<script>
let editHandle = function (data, dom) {
    dom.find("input").removeAttr("checked");
    dom.find("input[name='id']").attr("value", data.id);
    dom.find("input[name='suffix']").attr("value", data.suffix);
    dom.find("input[name='language'][value='" + data.language + "']").attr("checked", true);
    dom.find("input[name='status'][value='" + data.status + "']").attr("checked", true);
    dom.find("input[name='create']").attr("value", data.create);
    dom.find("input[name='renewal']").attr("value", data.renewal);
}
layui.use(['form', 'table'], function () {
table('{:shd_addon_url('KoumingDomain://Domain/suffix?method=list')}', [
    {field: 'id', title: 'ID', sort: true, width: 80},
    {field: 'suffix', title: '后缀'},
{field: 'language', title: '类型', width: 100,templet: function(d){
let language = '英文';
if(d.language==='G'){
language = '中文';
}
return language;
}
},
{field: 'status', title: '状态', width: 80,align:'center',templet: function(d){
let status = '<span class="text-success">开启</span>';
if(d.status==='1'){
status = '关闭';
}
return status;
}
},
{field: 'create', title: '注册价', width: 200},
{field: 'renewal', title: '续费价', width: 200},
{fixed: 'right', title:'操作', width: 150,align:'center',templet: function(d){
return `<div class="layui-btn-group">
<a class="layui-btn layui-btn-normal layui-btn-xs" lay-event="edit" data-title="编辑后缀" data-url="{:shd_addon_url('KoumingDomain://Domain/suffix?method=edit')}">编辑</a>
<a class="layui-btn layui-btn-danger btn-danger layui-btn-xs" lay-event="delete" data-title="删除后缀" data-url="{:shd_addon_url('KoumingDomain://Domain/suffix?method=delete')}">删除</a>
</div>`;
}}
])
;
})
;
</script>