<!-- 引入 layui.css -->
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/css/layui.css">
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/extend/common.css">
<style>
    .create-template label {
        width: 110px;
    }

    .form {
        font-size: 12px;
    }
    #forms .form .form-group label {
        width: 80px;
        line-height: 29px;
        text-align: right;
        margin-bottom: 0;
        white-space: nowrap;
        font-size: 12px;
    }
    #forms .form {
        padding: 0 15px;
    }
    #forms .row {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        margin-bottom: 1em;
        margin-left: unset;
        margin-right: unset;
    }
</style>
<section class="admin-main">
    <div class="page-container">
        <div class="card">
            <div class="card-body">
                <div class="layui-tab layui-tab-brief" lay-filter="layui-tab">
                    <ul class="layui-tab-title">
                        <li lay-id="manage" class="layui-this">管理</li>
                        <li lay-id="parse">解析</li>
                        <li lay-id="dns">修改DNS</li>
                        <li lay-id="transfer">过户</li>
                        <li lay-id="renew">续费</li>
                    </ul>
                    <div class="layui-tab-content" style="padding-bottom: 0">
                        <!-- 管理 -->
                        <div class="layui-tab-item layui-show">
                            <form class="layui-form" onkeydown="if(event.keyCode==13){return false;}">
                                <div class="table-header">
                                    <div class="table-tools">
                                        <label>域名</label>
                                        <input type="text" name="domain" class="form-control" placeholder="">
                                        <label>后缀</label>
                                        <input type="text" name="suffix" class="form-control" placeholder="">
                                        <label>类型</label>
                                        <select name="language" class="form-control" lay-ignore>
                                            <option value="">全部</option>
                                            <option value="G">中文</option>
                                            <option value="E">英文</option>
                                        </select>
                                        <label>状态</label>
                                        <select name="status" class="form-control" lay-ignore>
                                            <option value="">全部</option>
                                            <option value="0">正常</option>
                                            <option value="expired">过期</option>
                                            <option value="1">禁用</option>
                                            <option value="2">注册失败</option>
                                            <option value="3">正在注册</option>
                                        </select>
                                        <button class="btn btn-primary w-xs" lay-submit lay-filter="table-search"><i
                                                    class="fas fa-search"></i> 搜索
                                        </button>
                                    </div>
                                </div>
                            </form>
                            <table class="layui-hide" id="table-data"></table>
                        </div>
                        <!-- 解析 -->
                        <div class="layui-tab-item">
                            <form class="layui-form layui-parse" onkeydown="if(event.keyCode==13){return false;}">
                                <div class="table-header">
                                    <div class="table-tools">
                                        <button type="button" class="btn btn-success w-sm"
                                                data-title="添加解析"
                                                data-url="{:shd_addon_url('KoumingDomain://Domain/parse?method=add',[],true)}" lay-submit lay-filter="table-add">
                                            <i class="fas fa-plus-circle"></i> 添加解析
                                        </button>
                                        <button type="button" class="btn btn-warning w-sm"
                                                data-title="同步解析"
                                                data-url="{:shd_addon_url('KoumingDomain://Domain/parse?method=synchronization',[],true)}" lay-submit lay-filter="synchronization">
                                            <i class="fa fa-repeat"></i> 同步解析
                                        </button>
                                        <label>域名</label>
                                        <input type="text" name="domain" lay-verify="required|domain" class="form-control" placeholder="请输入域名">
                                        <label>类型</label>
                                        <select name="type" class="form-control" lay-ignore>
                                            <option value="">全部</option>
                                            <option value="A">A</option>
                                            <option value="CNAME">CNAME</option>
                                            <option value="AAAA">AAAA</option>
                                            <option value="NS">NS</option>
                                            <option value="MX">MX</option>
                                            <option value="SRV">SRV</option>
                                            <option value="TXT">TXT</option>
                                            <option value="CAA">CAA</option>
                                        </select>
                                        <label>主机记录</label>
                                        <input type="text" name="host" class="form-control" placeholder="">
                                        <label>记录值</label>
                                        <input type="text" name="value" class="form-control" placeholder="">
                                        <button class="btn btn-primary w-xs" lay-submit lay-filter="table-parse-search"><i
                                                    class="fas fa-search"></i> 搜索
                                        </button>
                                    </div>
                                </div>
                            </form>
                            <table class="layui-hide" id="table-parse-data"></table>
                            <section id="forms" style="display: none">
                                <div lay-filter="forms" style="margin-top: 1.25rem">
                                    <form id="layui-form" class="form layui-form" onkeydown="if(event.keyCode==13){return false;}" data-url="">
                                        <input type="hidden" name="domain" value="">
                                        <input type="hidden" name="id" value="">
                                        <div class="form-group row">
                                            <label>记录类型</label>
                                            <div class="col-sm-8">
                                                <select name="type" class="form-control" lay-ignore>
                                                    <option value="A">A - 将域名指向一个IPV4地址</option>
                                                    <option value="CNAME">CNAME - 将域名指向另外一个域名</option>
                                                    <option value="AAAA">AAAA - 将域名指向一个IPV6地址</option>
                                                    <option value="NS">NS - 将子域名指定其他DNS服务器解析</option>
                                                    <option value="MX">MX - 将域名指向邮件服务器地址</option>
                                                    <option value="SRV">SRV - 记录提供特定的服务的服务器</option>
                                                    <option value="TXT">TXT - 文本长度限制512通常做SPF记录反垃圾邮件</option>
                                                    <option value="CAA">CAA - CA证书颁发机构授权校验</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label>解析主机记录</label>
                                            <div class="col-sm-4">
                                                <input type="text" lay-verify="required" name="host" class="form-control" placeholder="">
                                                例如: www, 空填写 @
                                            </div>
                                            <div class="col-sm-4" style="margin-top: 5px;margin-left: -20px;">.<span class="host_domain" style="font-size: 16px"></span></div>
                                        </div>
                                        <div class="form-group row">
                                            <label>记录值</label>
                                            <div class="col-sm-8">
                                                <input type="text" lay-verify="required" name="value" class="form-control" placeholder="">
                                                例如: 127.0.0.1
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label>优先级</label>
                                            <div class="col-sm-8">
                                                <input type="text" name="mx" value="10" class="form-control" placeholder="">
                                                记录类型为MX时填写有效, 默认10
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label>TTL</label>
                                            <div class="col-sm-8">
                                                <input type="text" name="ttl" lay-verify="required" value="600" class="form-control" placeholder="">
                                                最低600
                                            </div>
                                        </div>
                                        <div class="bottom-operation">
                                            <div class="col-sm-12">
                                                <button type="button" class="btn btn-primary w-md" lay-submit lay-filter="forms_submit" style="margin-right: 10px">提交保存
                                                </button>
                                                <button type="reset" class="btn btn-outline-secondary w-md" id="forms_cancel">取消提交</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </section>
                        </div>
                        <!-- 修改DNS -->
                        <div class="layui-tab-item">
                            <form id="layui-form" class="form layui-dns layui-form mt-3 create-template"
                                  style="margin-left: 15px;" onkeydown="if(event.keyCode==13){return false;}">
                                <div class="form-group row">
                                    <label>域名</label>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control" lay-verify="required|domain" name="domain"
                                               value="" autocomplete="off"/>
                                        <span>例如：xxx.com</span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label>类型</label>
                                    <div class="col-sm-4">
                                        <input type="radio" name="dns_type" value="1" lay-filter="dns_type" title="默认DNS"
                                               checked>
                                        <input type="radio" name="dns_type" value="2" lay-filter="dns_type" title="自定义DNS">
                                    </div>
                                </div>
                                <div class="form-group row dns-address" style="display:none;">
                                    <label>DNS</label>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control" name="dns"
                                               value="" autocomplete="off"/>
                                        <span>例如：ns1.xxx.com,ns2.xxx.com（多个请用逗号分隔）</span>
                                    </div>
                                </div>
                                <div class="form-group row" style="margin-top: 70px;"></div>
                                <div class="row bottom-operation" style="text-align: left">
                                    <div class="col-sm-12">
                                        <button type="button" class="btn btn-primary w-md" lay-submit
                                                lay-filter="dns_submit" style="margin-right: 10px;margin-left: 110px;">
                                            提交修改DNS
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <!-- 过户 -->
                        <div class="layui-tab-item">
                            <form id="layui-form" class="form layui-transfer layui-form mt-3 create-template"
                                  style="margin-left: 15px;" onkeydown="if(event.keyCode==13){return false;}">
                                <div class="form-group row">
                                    <label>域名</label>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control" lay-verify="required|domain" name="domain"
                                               value="" autocomplete="off"/>
                                        <span>例如：xxx.com</span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label>联系人模板</label>
                                    <div class="col-sm-4">
                                        <select name="template" class="form-control" lay-filter="data-template" lay-ignore>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group row" style="margin-top: 70px;"></div>
                                <div class="row bottom-operation" style="text-align: left">
                                    <div class="col-sm-12">
                                        <button type="button" class="btn btn-primary w-md" lay-submit
                                                lay-filter="transfer_submit"
                                                style="margin-right: 10px;margin-left: 110px;">提交过户
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <!-- 续费 -->
                        <div class="layui-tab-item">
                            <form id="layui-form" class="form layui-renew layui-form mt-3 create-template" style="margin-left: 15px;" onkeydown="if(event.keyCode==13){return false;}">
                                <input type="hidden" name="price" value="">
                                <div class="form-group row">
                                    <label>域名</label>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control" lay-verify="required|domain" name="domain" value="" autocomplete="off"/>
                                        <span>例如：xxx.com</span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label>年限</label>
                                    <div class="col-sm-4">
                                        <select name="year" class="form-control" lay-verify="required" lay-filter="data-year" lay-ignore>
                                            <option value="1" selected>1年</option>
                                            <option value="2">2年</option>
                                            <option value="3">3年</option>
                                            <option value="4">4年</option>
                                            <option value="5">5年</option>
                                            <option value="6">6年</option>
                                            <option value="7">7年</option>
                                            <option value="8">8年</option>
                                            <option value="9">9年</option>
                                            <option value="10">10年</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label>价格</label>
                                    <div class="col-sm-4 text-warning" style="margin-top: 8px;">
                                        <b class="price">-</b>
                                    </div>
                                </div>
                                <div class="form-group row" style="margin-top: 70px;"></div>
                                <div class="row bottom-operation" style="text-align: left">
                                    <div class="col-sm-12">
                                        <button type="button" class="btn btn-primary w-md" lay-submit lay-filter="renew_submit" style="margin-right: 10px;margin-left: 110px;">提交续费
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<div class="url" style="display: none">
    <span data-name="manage_list" data-url="{:shd_addon_url('KoumingDomain://Domain/index?method=list',[],true)}"></span>
    <span data-name="renew_get_price" data-url="{:shd_addon_url('KoumingDomain://Domain/renew?method=get_price',[],true)}"></span>
   <span data-name="renew_action" data-url="{:shd_addon_url('KoumingDomain://Domain/renew?method=action',[],true)}"></span>
   <span data-name="transfer_get_template" data-url="{:shd_addon_url('KoumingDomain://Domain/transfer?method=get_template',[],true)}"></span>
   <span data-name="transfer_action" data-url="{:shd_addon_url('KoumingDomain://Domain/transfer?method=action',[],true)}"></span>
   <span data-name="dns_action" data-url="{:shd_addon_url('KoumingDomain://Domain/dns?method=action',[],true)}"></span>
   <span data-name="parse_list" data-url="{:shd_addon_url('KoumingDomain://Domain/parse?method=list',[],true)}"></span>
   <span data-name="parse_edit" data-url="{:shd_addon_url('KoumingDomain://Domain/parse?method=edit',[],true)}"></span>
   <span data-name="parse_delete" data-url="{:shd_addon_url('KoumingDomain://Domain/parse?method=delete',[],true)}"></span>
</div>
<!-- 引入 layui.js -->
<script src="/plugins/addons/kouming_domain/template/public/layui.js"></script>
<script src="/plugins/addons/kouming_domain/template/public/extend/common.js"></script>
<script src="/plugins/addons/kouming_domain/template/public/extend/domain.js"></script>
<script>
    var addHandle = function (dom) {
        var domain = $(".layui-parse").find("input[name='domain']").val();
        if (!isDomain(domain)) {
            layer.closeAll();
            layer.msg('域名不能为空', {icon: 0});
            return;
        }
        dom.find(".host_domain").html(domain);
        dom.find("input[name='domain']").attr("value", domain);
    }
    var editHandle = function (data, dom) {
        var domain = $(".layui-parse").find("input[name='domain']").val();
        if (!isDomain(domain)) {
            layer.closeAll();
            layer.msg('域名不能为空', {icon: 0});
            return;
        }
        dom.find(".host_domain").html(domain);
        dom.find("input[name='domain']").attr("value", domain);
        dom.find("input[name='domain']").val(domain);
        dom.find("input[name='id']").val(data.id);
        dom.find("select[name='type']").val(data.type);
        dom.find("input[name='host']").val(data.host);
        dom.find("input[name='value']").val(data.value);
        dom.find("input[name='mx']").val(data.mx ? data.mx : 10);
        dom.find("input[name='ttl']").val(data.ttl);
    }
</script>
