function buttonload(dom, type) {
    var original = dom.html();
    var loadIcon = '<i class="layui-icon layui-icon-loading-1 layui-anim layui-anim-rotate layui-anim-loop" style="font-size:unset"></i>';
    if (type === "add") {
        //增加图标
        dom.html(loadIcon + " " + original);
        dom.removeAttr("lay-submit");
        dom.attr("disabled", "disabled");
    }
    if (type === "remove") {
        //移除图标
        var newStrArray = original.split(loadIcon);
        dom.html(newStrArray[1]);
        dom.attr("lay-submit", "");
        dom.removeAttr("disabled");
    }
}

function submitAjax(dom, url = '', data = {}, type = 'post', timeout = 50000, confirm = true, hint_content = '确认要提交吗?', processData = true, contentType = 'application/x-www-form-urlencoded', afterCompletion = '') {
    if (confirm) {
        layer.confirm(hint_content, {
            btn: ["确定", "取消"]
        }, function (obj) {
            //确认
            layer.close(obj);
            ajax(dom, "button", url, data, type, timeout, processData, contentType, afterCompletion)
        }, function (obj) {
            //取消
            layer.close(obj);
            return false;
        });
    } else {
        ajax(dom, "button", url, data, type, timeout, processData, contentType, afterCompletion)
    }
}

/**
 * ajax请求
 * @param dom
 * @param url 请求地址
 * @param data 请求数据
 * @param type 类型 post
 * @param timeout 请求超时
 * @param blockPage 遮挡类型 button,page
 * @param processData 是否处理表单数据
 * @param contentType 请求内容类型
 * @param afterCompletion 完成后调用函数
 */
function ajax(
    dom = {},
    blockPage = "button",
    url = '',
    data = {},
    type = 'post',
    timeout = 50000,
    processData = true,
    contentType = 'application/x-www-form-urlencoded',
    afterCompletion
) {
    if (blockPage === 'button') {
        buttonload(dom, "add");
    }
    if (blockPage === 'page') {
        loadIndex = layer.load(0, {shade: 0.3});
    }
    //提交数据
    $.ajax({
        type: type,
        url: url,
        data: data,
        timeout: timeout,
        processData: processData, // 告诉jQuery不要去处理发送的数据
        contentType: contentType, // 告诉jQuery不要去设置Content-Type请求头
        success: function (data) {
            if (blockPage === 'button') {
                buttonload(dom, "remove");
            }
            if (blockPage === 'page') {
                layer.close(loadIndex);
            }
            //var ajaxData = JSON.parse(data);
            var ajaxData = data;
            if (typeof afterCompletion === "function") {
                afterCompletion(ajaxData);
            }
            if (!ajaxData.code) {
                if (ajaxData.message) {
                    layer.msg(ajaxData.message, {icon: 1});
                }
                setTimeout(function () {
                    switch (ajaxData.type) {
                        case "reload":
                            window.location.reload();
                            break;
                        case "href":
                            if (ajaxData.data.url) {
                                window.location.href = ajaxData.data.url;
                            }
                            break;
                        case "open":
                            if (ajaxData.data.url) {
                                window.location.open(ajaxData.data.url);
                            }
                            break;
                        default:
                    }
                }, 3000);
            } else {
                if (ajaxData.message) {
                    layer.msg(ajaxData.message, {icon: 2});
                }
            }
        },
        error: function () {
            if (blockPage === 'button') {
                buttonload(dom, "remove");
            }
            if (blockPage === 'page') {
                layer.close(loadIndex);
            }
            layer.open({
                title: '错误',
                content: '服务器无返回信息',
                yes: function (KeepLanding, layero) {
                    layer.close(KeepLanding);
                }
            });
        }
    });
}

//tips
function tips() {
    $('*[lay-tips]').on('mouseenter', function () {
        var content = $(this).attr('lay-tips');
        layer.close(this.index);
        this.index = layer.tips('<div style="padding: 0px; font-size: 12px; color: #eee;">' + content + '</div>', this, {
            time: -1,
            tips: 1
        });
    }).on('mouseleave', function () {
        var index = this.index;
        setTimeout(layer.close(index), 1000)
    });
}

tips();

function table(url = '', cols = [], lineStyle = "", elem = "table-data", search_elem = "table-search") {
    layui.use(['form', 'table', 'layer'], function () {
        var table = layui.table;
        var form = layui.form;
        var layer = layui.layer;
        // 创建表格实例
        table.render({
            elem: "#" + elem,
            url: url,
            cols: [cols],
            parseData: function (res) {
                return {
                    "code": res.code,
                    "msg": res.message,
                    "count": res.data.count,
                    "data": res.data.list
                };
            },
            lineStyle: lineStyle,
            done: function (res, curr, count, origin) {
                tips();
            },
            page: {
                first: "第一页",
                prev: "上一页",
                next: "下一页",
                last: "最后一页",
                layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
            }
            , limit: 10
            , limits: [10, 20, 50, 100, 500, 1000]
            , text: {
                none: "无记录"
            }
        });

        // get where
        function getWhere(field) {
            var where = {};
            //循环查询所有表单
            $.each(field, function (index, value) {
                if (value !== "") {
                    where[index] = value;
                } else {
                    where[index] = null;
                }
            });
            return where;
        }

        // 搜索提交
        form.on('submit(' + search_elem + ')', function (data) {
            var field = data.field;
            var where = getWhere(field);
            //执行重载
            table.reloadData(elem, {
                url: url,
                where: where
                , page: {
                    curr: 1
                }
            });
            return false;
        });
        //排序
        table.on('sort(' + elem + ')', function (obj) {
            table.reloadData(elem, {
                initSort: obj,
                where: {
                    field: obj.field
                    , sort: obj.type
                }
            });
        });
        //表格上添加按钮
        form.on('submit(table-add)', function () {
            var url = $(this).attr("data-url");
            var title = $(this).attr("data-title");
            layer.open({
                type: 1,
                title: title,
                offset: 'r',
                anim: 'slideLeft', // 从右往左
                area: ['450px', '100%'],
                shade: 0.1,
                shadeClose: true,
                id: 'forms',
                content: $("#forms").html(),
                success: function (layero, index, that) {
                    var forms_dom = $(".layui-layer-page #forms");
                    if (typeof addHandle === "function") {
                        addHandle(forms_dom);
                    }
                    forms_dom.find("form").attr("data-url", url);
                }
            });
            $("#forms form").attr("data-url", url);
            form.render();
            return;
        });
        //表格按钮
        table.on('tool(' + elem + ')', function (obj) {
            var data = obj.data;
            var title = $(this).attr("data-title");
            var url = $(this).attr("data-url");
            var dom = $(this);
            //编辑
            if (obj.event === 'edit') {
                layer.open({
                    type: 1,
                    title: title,
                    offset: 'r',
                    anim: 'slideLeft', // 从右往左
                    area: ['450px', '100%'],
                    shade: 0.1,
                    shadeClose: true,
                    id: 'forms',
                    content: $("#forms").html(),
                    success: function (layero, index, that) {
                        var forms_dom = $(".layui-layer-page #forms");
                        if (typeof editHandle === "function") {
                            editHandle(data, forms_dom);
                        }
                        forms_dom.find("form").attr("data-url", url);
                    }
                });
                $("#forms form").attr("data-url", url);
                form.render();
            }
            //删除
            if (obj.event === 'delete') {
                if (typeof deleteHandle === "function") {
                    deleteHandle(data, forms_dom);
                }
                layer.confirm("确认要删除吗?", {
                    title: title,
                    btn: ["确定", "取消"]
                }, function (obj) {
                    //确认
                    layer.close(obj);
                    submitAjax(dom, url, data, 'post', 50000, false, '', true, 'application/x-www-form-urlencoded', function (data) {
                        if (!data.code) {
                            table.reloadData(elem, {}, true)
                        }
                    });
                }, function (obj) {
                    //取消
                    layer.close(obj);
                    return false;
                });
            }
        });
        // 提交事件
        form.on('submit(forms_submit)', function (data) {
            var url = $("#forms form").attr("data-url");
            var field = data.field;
            submitAjax($(this), url, field, 'post', 50000, true, '确认要提交吗?', true, 'application/x-www-form-urlencoded', function (data) {
                if (!data.code) {
                    layer.closeAll();
                    table.reloadData(elem, {}, true)
                }
            });
            return false;
        });
        // 取消事件
        $(document).on("click", "#forms_cancel", function () {
            layer.closeAll();
            return false;
        });
    });
}

function isDomain(domain) {
    var domainPosition = domain.split('.');
    if (!domainPosition[0]) {
        return;
    }
    if (domainPosition.length <= 1) {
        return;
    }
    if (domainPosition[1] === '') {
        return;
    }
    if (domainPosition.length > 3) {
        domain = domainPosition[0] + '.' + domainPosition[1] + '.' + domainPosition[2];
    }

    var domainSuffix = domain.split('.');
    if (domainSuffix.length === 2) {
        domainSuffix = domainSuffix[1];
    } else {
        domainSuffix = domainSuffix[1] + '.' + domainSuffix[2];
    }
    var Suffix = ',aaa,aarp,abarth,abb,abbott,abbvie,abc,able,abudhabi,accenture,aco,active,adac,ads,aeg,aetna,afamilycompany,afl,agakhan,aig,aigo,airbus,airtel,akdn,alfaromeo,alibaba,alipay,allfinanz,allstate,ally,alstom,americanexpress,americanfamily,amex,amfam,amica,analytics,android,anquan,anz,ao,aol,apple,aquarelle,arab,aramco,arte,asda,athleta,au,audi,audible,auspost,author,avianca,aws,axa,azure,baidu,banamex,bananarepublic,barclaycard,barclays,barefoot,baseball,basketball,bauhaus,bbc,bbt,bbva,bcg,bcn,bd,beats,beauty,bentley,bestbuy,bharti,bing,bl,blanco,blockbuster,bloomberg,bms,bmw,bn,bnl,bnpparibas,boehringer,bofa,bom,boo,book,booking,boots,bosch,bostik,boston,bot,box,bq,br,bradesco,bridgestone,broadway,brother,budapest,bugatti,buy,bv,bw,cal,call,calvinklein,cancerresearch,canon,capitalone,caravan,cartier,case,caseih,catholic,cba,cbn,cbre,cbs,ceb,cern,cfa,chanel,channel,chase,chintai,chloe,chrome,chrysler,cipriani,circle,cisco,citadel,citi,citic,cityeats,ck,clinique,clubmed,comcast,commbank,compare,comsec,contact,cookingchannel,coop,coupon,cpa,creditunion,crown,crs,cruise,csc,cuisinella,dabur,dad,data,datsun,day,dclk,dds,deal,dell,deloitte,delta,dhl,discover,dish,diy,dnp,docs,dodge,doha,doosan,dot,drive,dtv,dubai,duck,dunlop,duns,dupont,dvag,dvr,eat,edeka,edu,eh,emerck,epost,epson,er,ericsson,erni,es,esq,esurance,et,etisalat,eurovision,everbank,extraspace,fage,fairwinds,farmers,fast,fedex,ferrari,ferrero,fiat,fidelity,fido,final,fire,firestone,firmdale,fj,fk,flickr,flir,flsmidth,fly,foo,food,foodnetwork,ford,forum,fox,free,fresenius,frogans,frontdoor,frontier,ftr,fujitsu,fujixerox,gallo,gallup,gap,gb,gbiz,gea,genting,george,ggee,gh,giving,glade,gle,globo,gmail,gmo,gmx,gn,godaddy,goldpoint,goo,goodhands,goodyear,goog,google,got,gov,grainger,grocery,gu,guardian,gucci,guge,hair,hangout,hbo,hdfc,hdfcbank,helsinki,here,hermes,hgtv,hisamitsu,hitachi,hkt,homedepot,homegoods,homesense,honda,honeywell,hot,hotels,hotmail,hsbc,htc,hughes,hyatt,hyundai,ibm,icbc,ice,ieee,ifm,iinet,ikano,il,imamat,imdb,infiniti,ing,int,intel,intuit,ipiranga,iselect,ismaili,itau,itv,iveco,iwc,jaguar,java,jcb,jcp,jeep,jio,jlc,jll,jm,jmp,jnj,jot,joy,jpmorgan,jprs,juniper,kddi,kerryhotels,kerrylogistics,kerryproperties,kfh,kh,kia,kinder,kindle,km,komatsu,kosher,kp,kpmg,kpn,kred,kuokgroup,kw,lacaixa,ladbrokes,lamborghini,lamer,lancaster,lancia,lancome,landrover,lanxess,lasalle,latino,latrobe,lb,lds,leclerc,lefrak,lego,lexus,liaison,lidl,lifeinsurance,lifestyle,like,lilly,lincoln,linde,lipsy,living,lixil,llp,locker,locus,loft,lotte,lpl,lplfinancial,lr,ls,lundbeck,lupin,macys,madrid,maif,man,mango,map,marriott,marshalls,maserati,mattel,mcd,mcdonalds,mckinsey,med,meet,meme,meo,merckmsd,metlife,mf,mh,microsoft,mil,mini,mint,mit,mitsubishi,mlb,mls,mm,mma,mobile,mobily,moi,monash,montblanc,mopar,mormon,moto,mov,movistar,msd,mtn,mtpc,mtr,mutual,mutuelle,mz,nab,nadex,nationwide,natura,nba,nec,netbank,netflix,neustar,new,newholland,next,nextdirect,nexus,nfl,nhk,nico,nike,nikon,nissan,nissay,nokia,northwesternmutual,norton,now,nowruz,nowtv,np,nra,ntt,obi,off,office,olayan,olayangroup,oldnavy,ollo,omega,onyourside,open,oracle,orange,orientexpress,origins,otsuka,ott,ovh,pamperedchef,panasonic,panerai,pars,passagens,pay,pccw,pfizer,pg,phd,philips,phone,piaget,pictet,pid,pin,ping,pioneer,play,playstation,pnc,pohl,politie,post,pramerica,praxi,prime,prod,prof,progressive,pru,prudential,pwc,py,quest,qvc,raid,read,realestate,realtor,redstone,redumbrella,reliance,rexroth,richardli,ricoh,rightathome,ril,rmit,rocher,rogers,room,rsvp,rugby,rwe,safe,safety,sakura,samsclub,samsung,sandvik,sandvikcoromant,sanofi,sap,sapo,sas,save,saxo,sbi,sbs,sca,scb,schaeffler,schmidt,scholarships,schwarz,scjohnson,scor,search,seat,secure,seek,select,sener,ses,seven,sew,sfr,shangrila,sharp,shaw,shell,shia,shouji,showtime,shriram,silk,sina,sj,skin,sky,skype,sl,sling,smart,smile,sncf,softbank,sohu,song,sony,spiegel,spot,srt,ss,stada,staples,star,starhub,statebank,statefarm,statoil,stc,stcgroup,stockholm,suzuki,swatch,swiftcover,sy,symantec,sz,tab,talk,taobao,target,tatamotors,tci,tdk,telecity,telefonica,temasek,teva,th,thd,tiaa,tiffany,tjmaxx,tjx,tkmaxx,tmall,toray,toshiba,total,toyota,tp,tr,travelchannel,travelers,travelersinsurance,trust,trv,tui,tunes,tushu,tvs,tz,ubank,ubs,uconnect,um,unicom,uol,ups,va,vana,vanguard,ve,verisign,vig,viking,virgin,visa,vista,vistaprint,viva,vivo,volkswagen,volvo,vuelos,walmart,walter,wanggou,warman,watches,weather,weatherchannel,weber,wed,weibo,weir,williamhill,windows,winners,wme,wolterskluwer,woodside,wow,wtc,xbox,xerox,xfinity,xihuan,测试,कॉम,परीक्षा,セール,ಭಾರತ,慈善,ଭାରତ,大众汽车,点看,คอม,ভাৰত,ভারত,موقع‎,বাংলা,公益,香格里拉,网站,испытание,католик,联通,бг,קום‎,时尚,微博,테스트,淡马锡,ファッション,नेट,ストア,삼성,טעסט‎,ポイント,新闻,工行,家電,كوم‎,中信,谷歌,భారత్,電訊盈科,购物,測試,クラウド,ભારત,通販,भारतम्,भारोत,آزمایشی‎,பரிட்சை,餐厅,ком,诺基亚,食品,δοκιμή,飞利浦,إختبار‎,手表,手机,мон,الجزائر‎,عمان‎,ارامكو‎,ایران‎,العليان‎,اتصالات‎,امارات‎,بازار‎,موريتانيا‎,پاکستان‎,الاردن‎,موبايلي‎,بارت‎,بھارت‎,المغرب‎,ابوظبي‎,البحرين‎,السعودية‎,ڀارت‎,كاثوليك‎,سودان‎,همراه‎,عراق‎,مليسيا‎,澳門,政府,شبكة‎,بيتك‎,عرب‎,组织机构,سورية‎,招聘,珠宝,تونس‎,大拿,ລາວ,グーグル,書籍,ഭാരതം,ਭਾਰਤ,网址,天主教,vermögensberater,vermögensberatung,嘉里大酒店,嘉里,مصر‎,قطر‎,இந்தியா,فلسطين‎,テスト,政务,xperia,yahoo,yamaxun,yandex,ye,yodobashi,you,youtube,yun,za,zappos,zara,zero,zip,zippo,zm,zuerich,zw,arpa,ar,com.cd,net.cd,org.cd,ac.ci,ed.ci,edu.ci,go.ci,in.ci,nom.ci,cy,ευ,ею,ελ,ke,edu.mr,org.mr,perso.mr,mt,ac.rw,app,art,baby,bond,cam,charity,cyou,dealer,dev,eco,fan,gay,health,hospital,inc,llc,luxe,monster,museum,observer,page,radio,realty,sport,africa,com.am,bharat,za.bz,com.et,fun,icu,com.md,org.md,net.na,org.nf,com.sd,net.sd,org.sd,com.ug,edu.vu,suck,ad,co.cz,co.ee,from.hr,adygeya.ru,bashkiria.ru,bir.ru,cbg.ru,dagestan.ru,grozny.ru,kalmykia.ru,kustanai.ru,marine.ru,mordovia.ru,mytis.ru,nalchik.ru,nov.ru,pyatigorsk.ru,vladikavkaz.ru,vladimir.ru,com.se,abkhazia.su,adygeya.su,aktyubinsk.su,arkhangelsk.su,armenia.su,ashgabad.su,azerbaijan.su,balashov.su,bashkiria.su,bryansk.su,bukhara.su,dagestan.su,east-kazakhstan.su,exnet.su,georgia.su,grozny.su,chimkent.su,ivanovo.su,jambyl.su,kalmykia.su,kaluga.su,karacol.su,karaganda.su,karelia.su,khakassia.su,krasnodar.su,kurgan.su,kustanai.su,lenug.su,mangyshlak.su,mordovia.su,msk.su,murmansk.su,nalchik.su,navoi.su,north-kazakhstan.su,nov.su,obninsk.su,penza.su,pokrovsk.su,sochi.su,spb.su,tashkent.su,termez.su,togliatti.su,troitsk.su,tselinograd.su,tula.su,tuva.su,vladikavkaz.su,vladimir.su,vologda.su,dnepropetrovsk.ua,dnipropetrovsk.ua,cherkasy.ua,chernigov.ua,kharkiv.ua,орг.срб,од.срб,обр.срб,or.af,com.iq,an,art.do,sld.do,web.do,or.mg,sd,org.ug,abogado,airforce,alsace,co.am,net.am,org.am,radio.am,amsterdam,co.ao,it.ao,og.ao,pb.ao,int.ar,net.ar,org.ar,army,auto,autos,aw,com.aw,ax,az,biz.az,co.az,com.az,edu.az,gov.az,info.az,int.az,mil.az,name.az,net.az,org.az,pp.az,pro.az,co.ba,bank,barcelona,com.bd,net.bd,org.bd,bet,bf,0.bg,1.bg,2.bg,3.bg,4.bg,5.bg,6.bg,7.bg,8.bg,9.bg,a.bg,b.bg,c.bg,d.bg,e.bg,f.bg,g.bg,h.bg,i.bg,j.bg,k.bg,l.bg,m.bg,n.bg,o.bg,p.bg,q.bg,r.bg,s.bg,t.bg,u.bg,v.bg,w.bg,x.bg,y.bg,z.bg,bh,com.bh,bible,bj,blog,com.bn,net.bo,org.bo,tv.bo,boats,adm.br,adv.br,agr.br,am.br,arq.br,art.br,ato.br,bio.br,blog.br,bmd.br,cim.br,cng.br,cnt.br,coop.br,ecn.br,eco.br,edu.br,emp.br,eng.br,esp.br,etc.br,eti.br,far.br,flog.br,fm.br,fnd.br,fot.br,fst.br,g12.br,ggf.br,gov.br,imb.br,inf.br,jor.br,lel.br,mat.br,med.br,mil.br,mus.br,nom.br,not.br,ntr.br,odo.br,org.br,ppg.br,pro.br,psc.br,psi.br,qsl.br,radio.br,rec.br,slg.br,srv.br,taxi.br,teo.br,tmp.br,trd.br,tur.br,tv.br,vet.br,vlog.br,wiki.br,zlg.br,broker,com.bs,co.bw,net.bw,org.bw,minsk.by,net.bz,bzh,car,cars,cfd,ci,co.ci,com.ci,int.ci,net.ci,or.ci,org.ci,co.ck,edu.ck,gov.ck,net.ck,org.ck,cloud,ah.cn,bj.cn,cq.cn,fj.cn,gd.cn,gs.cn,gx.cn,gz.cn,ha.cn,hb.cn,he.cn,hi.cn,hk.cn,hl.cn,hn.cn,jl.cn,js.cn,jx.cn,ln.cn,mo.cn,nm.cn,nx.cn,qh.cn,sc.cn,sd.cn,sh.cn,sn.cn,sx.cn,tj.cn,tw.cn,xj.cn,africa.com,hk.com,mex.com,nv.com,corsica,ac.cr,ed.cr,fi.cr,go.cr,or.cr,sa.cr,com.cv,cv,gov.cv,int.cv,net.cv,nome.cv,org.cv,publ.cv,com.cw,cw,net.cw,ac.cy,biz.cy,ekloges.cy,gov.cy,ltd.cy,name.cy,net.cy,org.cy,parliament.cy,press.cy,pro.cy,tm.cy,cymru,co.de,desi,biz.dk,co.dk,co.dm,doctor,dpml,mm.dpml,unitedtld.dpml,com.dz,dz,earth,org.ec,pri.ee,com.eg,edu.eg,eg,info.eg,name.eg,net.eg,sci.eg,tv.eg,edu.es,gob.es,eus,family,feedback,film,co.fk,radio.fm,fo,forex,frl,gal,games,gdn,com.ge,edu.ge,ge,gov.ge,mil.ge,net.ge,org.ge,pvt.ge,gent,gf,com.gh,edu.gh,org.gh,edu.gi,gov.gi,edu.gl,net.gl,org.gl,gmbh,ac.gn,com.gn,gov.gn,net.gn,org.gn,gop,org.gp,gq,group,net.gt,org.gt,com.gu,gw,edu.hk,gov.hk,idv.hk,inc.hk,ltd.hk,homes,hoteles,adult.ht,art.ht,asso.ht,edu.ht,firm.ht,info.ht,net.ht,org.ht,perso.ht,pol.ht,pro.ht,rel.ht,shop.ht,2000.hu,agrar.hu,bolt.hu,casino.hu,city.hu,erotica.hu,erotika.hu,film.hu,forum.hu,games.hu,hotel.hu,info.hu,ingatlan.hu,jogasz.hu,konyvelo.hu,lakas.hu,media.hu,news.hu,org.hu,priv.hu,reklam.hu,sex.hu,shop.hu,sport.hu,suli.hu,szex.hu,tm.hu,tozsde.hu,utazas.hu,video.hu,ac.id,biz.id,id,my.id,sch.id,ac.il,net.il,ltd.co.im,plc.co.im,insurance,edu.iq,iq,ist,istanbul,bz.it,co.it,com.jm,com.jo,edu.jo,gov.jo,jo,name.jo,net.jo,org.jo,sch.jo,gr.jp,ne.jp,ac.ke,co.ke,go.ke,info.ke,me.ke,mobi.ke,ne.ke,or.ke,sc.ke,com.kh,biz.ki,edu.ki,gov.ki,info.ki,tel.ki,com.kn,edu.kn,gov.kn,kn,ac.kr,go.kr,ms.kr,ne.kr,pe.kr,re.kr,seoul.kr,krd,com.kw,edu.kw,gov.kw,net.kw,org.kw,com.ky,ky,kyoto,com.kz,org.kz,lat,law,edu.lb,gov.lb,l.lc,p.lc,com.lk,lk,org.lk,com.lr,ltd,asn.lv,conf.lv,edu.lv,id.lv,mil.lv,org.lv,id.ly,med.ly,net.ly,org.ly,sch.ly,ac.ma,co.ma,gov.ma,ma,net.ma,org.ma,press.ma,makeup,asso.mc,tm.mc,melbourne,edu.mg,gov.mg,mil.mg,nom.mg,org.mg,prd.mg,tm.mg,com.mk,inf.mk,mk,name.mk,net.mk,org.mk,per.mm,com.mo,edu.mo,gov.mo,mo,net.mo,org.mo,mom,moscow,motorcycles,mq,mr,edu.mt,nom.mu,com.mv,mv,ac.mw,co.mw,com.mw,coop.mw,edu.mw,gov.mw,int.mw,net.mw,org.mw,edu.mx,gob.mx,net.mx,edu.my,gov.my,mil.my,ac.mz,co.mz,edu.mz,net.mz,org.mz,navy,asso.nc,nc,nom.nc,com.ne,info.ne,int.ne,ne,org.ne,perso.ne,in.net,arts.nf,firm.nf,info.nf,other.nf,per.nf,rec.nf,store.nf,web.nf,gov.ng,i.ng,mobi.ng,name.ng,sch.ng,ac.ni,biz.ni,co.ni,edu.ni,gob.ni,in.ni,info.ni,int.ni,mil.ni,web.ni,co.nl,com.nl,net.nl,co.no,fhs.no,folkebibl.no,fylkesbibl.no,gs.no,idrett.no,museum.no,priv.no,uenorge.no,vgs.no,aero.np,asia.np,biz.np,com.np,coop.np,edu.np,gov.np,info.np,mil.np,mobi.np,museum.np,name.np,net.np,org.np,pro.np,travel.np,com.nr,gov.nr,nr,co.nu,kiwi.nz,maori.nz,ac.om,biz.om,edu.om,gov.om,med.om,mil.om,museum.om,om,pro.om,sch.om,one,ong,onl,ooo,hk.org,organic,abo.pa,ac.pa,edu.pa,gob.pa,ing.pa,med.pa,net.pa,nom.pa,org.pa,pa,sld.pa,edu.pe,gob.pe,mil.pe,pet,asso.pf,com.pf,edu.pf,gov.pf,org.pf,pf,pharmacy,physio,biz.pk,web.pk,agro.pl,aid.pl,atm.pl,auto.pl,edu.pl,gmina.pl,gov.pl,gsm.pl,mail.pl,media.pl,miasta.pl,mil.pl,nieruchomosci.pl,nom.pl,pc.pl,powiat.pl,priv.pl,realestate.pl,rel.pl,sex.pl,shop.pl,sklep.pl,sos.pl,szkola.pl,targi.pl,tm.pl,tourism.pl,travel.pl,turystyka.pl,co.pn,net.pn,org.pn,pn,ag.pr,ai.pr,au.pr,aw.pr,bb.pr,bm.pr,br.pr,bs.pr,cl.pr,cn.pr,dm.pr,do.pr,edu.pr,en.pr,es.pr,gd.pr,gp.pr,ht.pr,jm.pr,jp.pr,ky.pr,lc.pr,ms.pr,mx.pr,tc.pr,tt.pr,us.pr,vg.pr,vi.pr,promo,protection,co.pt,coop.py,edu.py,gov.py,mil.py,net.py,org.py,com.qa,name.qa,net.qa,reit,ren,rich,rio,co.ro,ac.rs,edu.rs,gov.rs,in.rs,org.rs,msk.ru,spb.ru,co.rw,net.rw,org.rw,med.sa,saarland,salon,edu.sb,gov.sb,sb,security,sex,edu.sg,net.sg,org.sg,per.sg,shop,shopping,ae.si,at.si,cn.si,co.si,de.si,uk.si,us.si,com.sl,edu.sl,gov.sl,net.sl,org.sl,sm,art.sn,com.sn,edu.sn,org.sn,sn,spreadbetting,sr,srl,storage,store,stream,swiss,taipei,tatar,com.td,net.td,org.td,td,tourism.td,tg,ac.th,or.th,theatre,tirol,ac.tj,aero.tj,biz.tj,co.tj,com.tj,coop.tj,dyn.tj,edu.tj,go.tj,gov.tj,info.tj,int.tj,mil.tj,museum.tj,my.tj,name.tj,net.tj,org.tj,per.tj,pro.tj,tj,web.tj,com.tl,net.tl,org.tl,agrinet.tn,com.tn,defense.tn,edunet.tn,ens.tn,fin.tn,gov.tn,ind.tn,info.tn,intl.tn,nat.tn,net.tn,org.tn,perso.tn,rnrt.tn,rns.tn,rnu.tn,tn,tourism.tn,av.tr,dr.tr,edu.tr,net.tr,org.tr,tv.tr,trading,biz.tt,info.tt,name.tt,pro.tt,tube,club.tw,ebiz.tw,game.tw,idv.tw,ac.tz,co.tz,go.tz,hotel.tz,info.tz,me.tz,mil.tz,mobi.tz,ne.tz,or.tz,sc.tz,tv.tz,biz.ua,cherkassy.ua,chernivtsi.ua,chernovtsy.ua,ck.ua,cn.ua,co.ua,crimea.ua,cv.ua,dn.ua,dp.ua,edu.ua,gov.ua,if.ua,in.ua,ivano-frankivsk.ua,kh.ua,kharkov.ua,kherson.ua,khmelnitskiy.ua,kiev.ua,kirovograd.ua,km.ua,kr.ua,ks.ua,kyiv.ua,lg.ua,lt.ua,lugansk.ua,lutsk.ua,lviv.ua,mk.ua,nikolaev.ua,od.ua,odesa.ua,odessa.ua,pl.ua,poltava.ua,pp.ua,rivne.ua,rovno.ua,rv.ua,sebastopol.ua,sm.ua,sumy.ua,te.ua,ternopil.ua,uz.ua,uzhgorod.ua,vinnica.ua,vn.ua,volyn.ua,yalta.ua,zaporizhzhe.ua,zhitomir.ua,zp.ua,zt.ua,ac.ug,go.ug,ne.ug,or.ug,sc.ug,net.uy,org.uy,ac.uz,aero.uz,biz.uz,co.uz,com.uz,coop.uz,edu.uz,info.uz,int.uz,museum.uz,name.uz,net.uz,org.uz,pro.uz,uz,info.ve,net.ve,org.ve,web.ve,vi,vin,vip,com.vu,net.vu,org.vu,wales,whoswho,wine,com.ws,edu.ws,gov.ws,net.ws,org.ws,xin,佛山,集团,한국,八卦,موقع,公司,我爱你,москва,қаз,онлайн,сайт,ак.срб,срб,пр.срб,упр.срб,бел,சிங்கப்பூர்,商标,商店,商城,дети,мкд,中国,中國,娱乐,ලංකා,कंपनी.भारत,网店,网络,укр,公司.香港,個人.香港,香港,政府.香港,網絡.香港,組織.香港,教育.香港,台湾,台灣,امارات,بازار,الاردن,السعودية,مليسيا,닷컴,شبكة,გე,健康,ธุรกิจ.ไทย,ไทย,рус,рф,تونس,世界,닷넷,コム,游戏,企业,信息,مصر,قطر,广东,இலங்கை,հայ,新加坡,فلسطين,yachts,com.ye,ac.za,gov.za,mil.za,net.za,nom.za,org.za,web.za,co.zm,com.zm,org.zm,co.zw,academy,accountant,accountants,actor,adult,agency,apartments,archi,associates,attorney,auction,audio,band,bar,bargains,bayern,beer,berlin,best,bid,bike,bingo,bio,black,blackfriday,blue,boutique,brussels,build,builders,business,buzz,cab,cafe,camera,camp,capetown,capital,cards,care,career,careers,casa,cash,casino,catering,center,ceo,chat,cheap,christmas,church,city,claims,cleaning,click,clinic,clothing,club,coach,codes,coffee,college,cologne,community,company,computer,condos,construction,consulting,contractors,cooking,cool,country,coupons,courses,credit,creditcard,cricket,cruises,dance,date,dating,deals,degree,delivery,democrat,dental,dentist,design,diamonds,diet,digital,direct,directory,discount,dog,domains,download,durban,education,email,energy,engineer,engineering,enterprises,equipment,estate,events,exchange,expert,exposed,express,fail,faith,fans,farm,fashion,finance,financial,fish,fishing,fit,fitness,flights,florist,flowers,football,forsale,foundation,fund,furniture,futbol,fyi,gallery,game,garden,gift,gifts,gives,glass,global,gold,golf,graphics,gratis,green,gripe,guide,guitars,guru,hamburg,haus,healthcare,help,hiphop,hiv,hockey,holdings,holiday,horse,host,hosting,house,how,immo,immobilien,industries,info,ink,institute,insure,international,investments,irish,jetzt,jewelry,jobs,joburg,juegos,kaufen,kim,kitchen,kiwi,koeln,land,lawyer,lease,legal,lgbt,life,lighting,limited,limo,link,live,loan,loans,lol,london,lotto,love,ltda,luxury,maison,management,market,marketing,markets,mba,media,memorial,men,menu,miami,mobi,moda,moe,money,mortgage,movie,nagoya,network,news,ngo,ninja,nrw,nyc,okinawa,online,osaka,paris,partners,parts,party,photo,photography,photos,pics,pictures,pink,pizza,place,plumbing,plus,poker,porn,press,aaa.pro,acct.pro,avocat.pro,recht.pro,productions,properties,property,pub,qpon,quebec,racing,recipes,red,rehab,reise,reisen,rent,rentals,repair,report,republican,rest,restaurant,review,reviews,rip,rocks,rodeo,ruhr,run,ryukyu,sale,sarl,school,schule,science,scot,services,sexy,shiksha,shoes,show,singles,site,ski,soccer,social,software,solar,solutions,soy,space,studio,study,style,sucks,supplies,supply,support,surf,surgery,sydney,systems,tattoo,tax,taxi,team,tech,technology,tennis,theater,tickets,tienda,tips,tires,today,tokyo,tools,top,tours,town,toys,trade,training,university,uno,vacations,vegas,ventures,versicherung,vet,viajes,video,villas,vision,vlaanderen,vodka,vote,voting,voto,voyage,wang,watch,webcam,website,wedding,wien,wiki,win,work,works,world,wtf,xyz,yoga,yokohama,zone,在线,移动,орг,中文网,भारत,संगठन,机构,みんな,aero,asia,biz,cat,com,ar.com,br.com,cn.com,co.com,de.com,eu.com,gb.com,gr.com,hu.com,jpn.com,kr.com,no.com,qc.com,ru.com,sa.com,se.com,uk.com,us.com,uy.com,za.com,name,net,gb.net,hu.net,jp.net,se.net,uk.net,org,ae.org,us.org,pro,aca.pro,bar.pro,cpa.pro,eng.pro,jur.pro,law.pro,med.pro,tel,travel,xxx,ac,ae,af,com.af,net.af,org.af,ag,co.ag,com.ag,net.ag,nom.ag,org.ag,ai,com.ai,net.ai,off.ai,org.ai,al,com.al,net.al,org.al,am,aq,com.ar,as,at,co.at,or.at,asn.au,com.au,id.au,net.au,org.au,ba,bb,com.bb,net.bb,org.bb,be,bg,bi,co.bi,com.bi,or.bi,org.bi,bm,com.bm,net.bm,org.bm,bo,com.bo,com.br,ind.br,net.br,bs,bt,com.bt,net.bt,by,com.by,net.by,bz,co.bz,com.bz,org.bz,ca,cc,cd,cf,cg,ch,cl,cm,co.cm,com.cm,net.cm,cn,ac.cn,com.cn,net.cn,org.cn,co,com.co,net.co,nom.co,cr,co.cr,cu,com.cu,cx,com.cy,cz,de,com.de,dj,dk,dm,com.dm,net.dm,org.dm,do,com.do,net.do,org.do,ec,com.ec,fin.ec,info.ec,med.ec,net.ec,pro.ec,ee,com.ee,com.es,nom.es,org.es,eu,fi,biz.fj,com.fj,info.fj,name.fj,net.fj,org.fj,pro.fj,fm,fr,asso.fr,com.fr,gouv.fr,nom.fr,prd.fr,presse.fr,tm.fr,ga,gd,gg,co.gg,net.gg,org.gg,gi,com.gi,ltd.gi,org.gi,gl,co.gl,com.gl,gm,gp,com.gp,net.gp,gr,com.gr,edu.gr,gov.gr,net.gr,org.gr,gs,gt,com.gt,gy,co.gy,com.gy,net.gy,hk,com.hk,net.hk,org.hk,hm,hn,com.hn,net.hn,org.hn,hr,com.hr,ht,com.ht,hu,co.hu,co.id,or.id,web.id,ie,co.il,org.il,im,co.im,com.im,net.im,org.im,in,co.in,firm.in,gen.in,ind.in,net.in,org.in,io,ir,co.ir,is,it,je,co.je,net.je,org.je,jp,co.jp,kg,com.kg,net.kg,org.kg,ki,com.ki,net.ki,org.ki,kr,co.kr,or.kr,kz,la,com.lb,net.lb,org.lb,lc,co.lc,com.lc,net.lc,org.lc,li,co.ls,org.ls,lt,lu,lv,com.lv,net.lv,ly,com.ly,mc,md,me,mg,co.mg,com.mg,net.mg,ml,biz.mm,com.mm,org.mm,mn,mp,ms,co.ms,com.ms,org.ms,com.mt,net.mt,org.mt,mu,ac.mu,co.mu,com.mu,net.mu,or.mu,org.mu,mw,mx,com.mx,org.mx,my,com.my,net.my,org.my,na,co.na,com.na,org.na,nf,com.nf,net.nf,ng,com.ng,edu.ng,net.ng,org.ng,ni,com.ni,net.ni,nom.ni,org.ni,nl,no,nu,nz,ac.nz,co.nz,geek.nz,gen.nz,net.nz,org.nz,school.nz,co.om,com.om,net.om,org.om,com.pa,pe,com.pe,net.pe,nom.pe,org.pe,ph,com.ph,net.ph,org.ph,pk,com.pk,net.pk,org.pk,pl,biz.pl,com.pl,info.pl,net.pl,org.pl,waw.pl,pm,pr,at.pr,biz.pr,ch.pr,com.pr,de.pr,eu.pr,fr.pr,info.pr,isla.pr,it.pr,name.pr,net.pr,nl.pr,org.pr,pro.pr,uk.pr,ps,com.ps,net.ps,org.ps,pt,com.pt,org.pt,pw,com.py,qa,re,ro,arts.ro,com.ro,firm.ro,info.ro,nom.ro,nt.ro,org.ro,rec.ro,store.ro,tm.ro,www.ro,rs,co.rs,ru,com.ru,net.ru,org.ru,pp.ru,rw,sa,com.sa,net.sa,org.sa,pub.sa,com.sb,net.sb,org.sb,sc,com.sc,net.sc,org.sc,se,sg,com.sg,sh,si,sk,so,com.so,net.so,org.so,st,su,sv,com.sv,sx,tc,tf,co.th,in.th,tk,tl,tm,to,bbs.tr,biz.tr,com.tr,gen.tr,info.tr,name.tr,tel.tr,web.tr,tt,co.tt,com.tt,net.tt,org.tt,tv,tw,com.tw,org.tw,ua,com.ua,donetsk.ua,net.ua,org.ua,ug,co.ug,uk,co.uk,ltd.uk,me.uk,net.uk,org.uk,plc.uk,us,uy,com.uy,vc,com.vc,net.vc,org.vc,co.ve,com.ve,vg,co.vi,com.vi,vn,ac.vn,biz.vn,com.vn,edu.vn,gov.vn,health.vn,info.vn,int.vn,name.vn,net.vn,org.vn,pro.vn,vu,wf,ws,yt,co.za,yn.cn';
    Suffix = Suffix.split(",");
    var isDomainSuffix = 0;
    $.each(Suffix, function (index, obj) {
        if (obj === domainSuffix) {
            isDomainSuffix++;
            return false;
        }
    });
    if (isDomainSuffix > 0) {
        return domain;
    }
}

function get_domain_type(domain) {
    var domain_type = {};
    domain_type["domain"] = domain;
    var domain_array = domain.split(".", 3);
    var domain_array_2 = "";
    if (domain_array[2]) {
        domain_array_2 = "." + domain_array[2];
    }
    domain_type["suffix"] = "." + domain_array[1] + domain_array_2;
    domain_type["language"] = "E";
    var reg = new RegExp("[\\u4E00-\\u9FFF]+", "g");
    if (reg.test(domain)) {
        domain_type["language"] = "G";
    }
    return domain_type;
}

layui.define(['form'], function () {
    var form = layui.form;
    form.verify({
        required: function (value, dom) {
            if (!value) {
                return "不能为空";
            }
        },
        length: function (value, dom) {
            if (value) {
                var length = $(dom).attr("lay-verify-length") ? $(dom).attr("lay-verify-length") : 5;
                if (value.length > length) {
                    return "请输入长度在: 1-" + length;
                }
            }
        },
        username: function (value) {
            var reg = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/;
            if (!reg.test(value)) {
                if (!new RegExp("^[a-zA-Z0-9_\u4e00-\u9fa5\\s·]+$").test(value)) {
                    return "不能有特殊字符";
                }
            }
        },
        password: function (value) {
            if (value) {
                if (value.length < 8) {
                    return "最少要输入8个";
                }
            }
        },
        confirmPassword: function (value) {
            if (value.length < 8) {
                return "最少要输入8个";
            }
            var password = $("#password").val();
            if (password !== value) {
                return '两次输入密码不一致';
            }
        },
        zipcode: function (value) {
            if (value) {
                if (value.length < 6) {
                    return "最少要输入6个";
                }
            }
        },
        address: function (value) {
            if (value) {
                if (value.length < 10) {
                    return "最少要输入10个";
                }
                if (value.indexOf(" ") === -1) {
                    return "必须包含空格";
                }
                var head = value.substr(value.length - 1, 1);
                var tail = value.substr(0, 1);
                if (head === " " || tail === " ") {
                    return "首尾不能含有空格";
                }
            }
        },
        email: function (value) {
            var reg = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/;
            if (!reg.test(value)) {
                return "邮箱格式错误";
            }

        },
        money: function (value) {
            if (value) {
                var reg = /^(([1-9]\d*)|\d)(\.\d{1,2})?$/;
                if (!reg.test(value)) {
                    return "格式错误";
                }
            }
        },
        domain: function (value) {
            if (value) {
                if (!isDomain(value)) {
                    return "域名错误";
                    ;
                }
            }
        },
        telephone: function (value) {
            if (value) {
                var value_array = value.split(".");
                var reg = /^((\d{0,9})-)(\d{0,9})(-(\d{0,9}))?$/;
                reg = new RegExp(reg);
                if (!reg.test(value_array[1])) {
                    return "电话格式错误";
                }
            }
        },
        not_chinese: function (value) {
            if (value) {
                var reg = new RegExp("[\\u4E00-\\u9FFF]+", "g");
                if (reg.test(value)) {
                    return '不能包含中文';
                }
            }
        },
        en_organization: function (value) {
            if (value) {
                if (value.indexOf(" ") === -1) {
                    return "必须包含空格";
                }
                var head = value.substr(value.length - 1, 1);
                var tail = value.substr(0, 1);
                if (head === " " || tail === " ") {
                    return "首尾不能含有空格";
                }
            }
        },
        contains_chinese: function (value) {
            if (value) {
                var reg = new RegExp("[\\u4E00-\\u9FFF]+", "g");
                if (!reg.test(value)) {
                    return "必须包含中文";
                }
            }
        },
        chcekbox: function (value, dom) {
            if ($(dom).is(":checked") === false) {
                return "请同意勾选协议";
            }
        },
        requiredimg: function (value) {
            if (!value) {
                return "请选择要上传的文件";
            }
        },
        custom_length: function (value, dom) {
            var length = $(dom).attr("data-length");
            if (!length) {
                length = 10;
            }
            if (value.length > length) {
                return '请输入不大于' + length;
            }
        }
    });
});