var url_dom = $(".url").find("span");
var url_obj = {};
$.each(url_dom, function (k, v) {
    url_obj[$(this).attr("data-name")] = $(this).attr("data-url")
});
var manage = function () {
    layui.use(['form', 'table'], function () {
        table(url_obj["manage_list"], [
            {field: 'domain', title: '域名'},
            {
                field: 'language', title: '类型', width: 100, templet: function (d) {
                    let language = '英文';
                    if (d.language === 'G') {
                        language = '中文';
                    }
                    return language;
                }
            },
            {field: 'dns', title: 'DNS', width: 280},
            {field: 'start_date', sort: true, title: '注册日期', width: 100},
            {field: 'end_date', sort: true, title: '过期日期', width: 100},
            {
                field: 'status', sort: true, title: '状态', width: 90, align: 'center', templet: function (d) {
                    var status_0 = '<span class="text-success">正常</span>';
                    var status_1 = '<span lay-tips="' + d.remark + '">禁用</span>';
                    var status_2 = '<span class="text-danger" lay-tips="' + d.remark + '">注册失败</span>';
                    var status_3 = '<span class="text-warning">正在注册</span>';
                    var status_expired = '<span class="text-danger">过期</span>';
                    var status;
                    switch (d.status) {
                        case "0":
                            return status_0;
                            break;
                        case "1":
                            return status_1;
                            break;
                        case "2":
                            return status_2;
                            break;
                        case "3":
                            return status_3;
                            break;
                        case "expired":
                            return status_expired;
                            break;
                    }
                }
            },
            {
                fixed: 'right', title: '操作', width: 280, align: 'center', templet: function (d) {
                    return `<div class="layui-btn-group">
<a class="layui-btn layui-btn-normal layui-btn-xs" lay-event="renew" data-title="续费">续费</a>
<a class="layui-btn layui-btn-normal layui-btn-xs" lay-event="parse" data-title="解析">解析</a>
<a class="layui-btn layui-btn-normal layui-btn-xs" lay-event="dns" data-title="修改DNS">修改DNS</a>
<a class="layui-btn layui-btn-normal layui-btn-xs" lay-event="transfer" data-title="过户">过户</a>
</div>`;
                }
            }
        ]);
        layui.use(['form', 'table', 'element'], function () {
            var table = layui.table;
            var form = layui.form;
            var element = layui.element;
            //表格按钮
            table.on('tool(table-data)', function (obj) {
                var data = obj.data;
                //续费
                if (obj.event === 'renew') {
                    element.tabChange("layui-tab", "renew");
                    var renew_dom = $(".layui-renew");
                    renew_dom.find("input[name='domain']").attr("value", data.domain);
                    renew_dom.find("input[name='domain']").val(data.domain);
                }
                //修改DNS
                if (obj.event === 'dns') {
                    element.tabChange("layui-tab", "dns");
                    var dns_dom = $(".layui-dns");
                    dns_dom.find("input[name='domain']").attr("value", data.domain);
                    dns_dom.find("input[name='domain']").val(data.domain);
                }
                //过户
                if (obj.event === 'transfer') {
                    element.tabChange("layui-tab", "transfer");
                    var transfer_dom = $(".layui-transfer");
                    transfer_dom.find("input[name='domain']").attr("value", data.domain);
                    transfer_dom.find("input[name='domain']").val(data.domain);
                }
                //解析
                if (obj.event === 'parse') {
                    element.tabChange("layui-tab", "parse");
                    var parse_dom = $(".layui-parse");
                    parse_dom.find("input[name='domain']").attr("value", data.domain);
                    parse_dom.find("input[name='domain']").val(data.domain);
                }
            });
        });
    });
}
manage();
var renew = function () {
    layui.use(['form'], function () {
        var form = layui.form;
        var dom = $(".layui-renew");
        //获取价格
        if (!dom.find("input[name='price']").val()) {
            ajax('', 'page', url_obj["renew_get_price"], '', 'post', 50000, true, 'application/x-www-form-urlencoded',
                function (data) {
                    dom.find("input[name='price']").val(JSON.stringify(data.data));
                    compute_price(dom.find("input[name='domain']").val(), dom.find("select[name='year'] option:selected").val());
                });
        } else {
            compute_price(dom.find("input[name='domain']").val(), dom.find("select[name='year'] option:selected").val());
        }
        //输入域名
        dom.find("input[name='domain']").on('input', function (e) {
            compute_price(dom.find("input[name='domain']").val(), dom.find("select[name='year'] option:selected").val());
        });

        //计算价格
        function compute_price(domain, year) {
            var price = "-";
            if (isDomain(domain) && year > 0) {
                //计算价格
                var suffix = JSON.parse(dom.find("input[name='price']").val());
                var domain_type = get_domain_type(domain);
                var unit_price = 0.00;
                $.each(suffix, function (k, v) {
                    if (domain_type["suffix"] == v.suffix && domain_type["language"] == v.language) {
                        unit_price = v.renewal;
                        return;
                    }
                });
                price = (year * unit_price).toFixed(2);
            }
            dom.find(".price").html(price);
        }

        //选择年限
        dom.find("select[name='year']").on('change', function (e) {
            var selected_year = $(this).find("option:selected").val();
            var domain = dom.find("input[name='domain']").val();
            if (selected_year > 0) {
                if (isDomain(domain)) {
                    compute_price(domain, selected_year);
                }
            }
        });
        // 提交事件
        form.on('submit(renew_submit)', function (data) {
            var field = data.field;
            submitAjax($(this), url_obj["renew_action"], field, 'post', 50000, true, '确认要续费吗？', true, 'application/x-www-form-urlencoded',
                function (data) {
                });
            return false;
        });
    });
}
var transfer = function () {
    layui.use(['form'], function () {
        var form = layui.form;
        var dom = $(".layui-transfer");
        //获取模板
        if (dom.find("select[name='template'] option").length < 1) {
            ajax('', 'page', url_obj["transfer_get_template"], '', 'post', 50000, true, 'application/x-www-form-urlencoded',
                function (data) {
                    var str = '';
                    $.each(data.data, function (k, v) {
                        var type = "个人";
                        var name = v.detail.last_name + ' ' + v.detail.first_name;
                        if (v.type == "2") {
                            type = "组织";
                            name = v.detail.organization;
                        }
                        if (v.default == "1") {
                            str += '<option value="' + v.id + '" selected>[ ' + name + ' - ' + v.detail.email + ' ] - ' + type + ' -（默认模板）</option>';
                        } else {
                            str += '<option value="' + v.id + '">[ ' + name + ' - ' + v.detail.email + ' ] - ' + type + '</option>';
                        }
                    });
                    dom.find("select[name='template']").html(str);
                });
        }
        // 提交事件
        form.on('submit(transfer_submit)', function (data) {
            var field = data.field;
            submitAjax($(this), url_obj["transfer_action"], field, 'post', 50000, true, '确认要过户吗？', true, 'application/x-www-form-urlencoded',
                function (data) {
                });
            return false;
        });
    });
}
var dns = function () {
    layui.use(['form'], function () {
        var form = layui.form;
        var dom = $(".layui-dns");
        form.on('radio(dns_type)', function (data) {
            if (data.value == "1") {
                dom.find(".dns-address input[name='dns']").removeAttr("lay-verify");
                dom.find(".dns-address").hide();
            } else {
                dom.find(".dns-address input[name='dns']").attr("lay-verify", "required");
                dom.find(".dns-address").show();
            }
        });
        // 提交事件
        form.on('submit(dns_submit)', function (data) {
            var field = data.field;
            submitAjax($(this), url_obj["dns_action"], field, 'post', 50000, true, '确认要修改DNS吗？', true, 'application/x-www-form-urlencoded',
                function (data) {
                });
            return false;
        });
    });
}
var parse = function () {
    layui.use(['form', 'table'], function () {
        var domain = $(".layui-parse").find("input[name='domain']").val();
        var url = url_obj["parse_list"] + "&domain=" + domain;
        table(url, [
            {field: 'type', title: '类型', width: 130}
            , {field: 'host', title: '主机记录', width: 230}
            , {field: 'value', title: '记录值'}
            , {
                field: 'mx', title: '优先级', width: 130, templet: function (d) {
                    if (!d.mx) {
                        return '-';
                    }
                    return d.mx;
                }
            }
            , {field: 'ttl', title: "TTL", width: 130},
            {
                fixed: 'right', title: '操作', width: 150, align: 'center', templet: function (d) {
                    return `<div class="layui-btn-group">
<a class="layui-btn layui-btn-normal layui-btn-xs" lay-event="edit" data-title="编辑解析" data-url="` + url_obj["parse_edit"] + `">编辑</a>
<a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="delete" data-title="删除解析" data-url="` + url_obj["parse_delete"] + `">删除</a>
</div>`;
                }
            }
        ], '', 'table-parse-data', 'table-parse-search');
    });
    layui.use(['form', 'table', 'layer'], function () {
        var form = layui.form;
        var table = layui.table;
        var layer = layui.layer;
        form.on('submit(synchronization)', function () {
            var dom = $(this);
            var url = $(this).attr("data-url");
            var title = $(this).attr("data-title");
            var data = {};
            var doms = $(".layui-parse");
            data["domain"] = doms.find("input[name='domain']").val();
            layer.confirm("确认要同步吗?", {
                title: title,
                btn: ["确定", "取消"]
            }, function (obj) {
                //确认
                layer.close(obj);
                submitAjax(dom, url, data, 'post', 50000, false, '', true, 'application/x-www-form-urlencoded', function (data) {
                    if (!data.code) {
                        table.reloadData('table-parse-data', {}, true)
                    }
                });
            }, function (obj) {
                //取消
                layer.close(obj);
                return false;
            });
            return;
        });
    });
    // layui.use(['form', 'table'], function () {
    //     var dom = $(".layui-parse");
    //     var table = layui.table;
    //     //输入域名
    //     dom.find("input[name='domain']").on('input', function (e) {
    //         var domain = dom.find("input[name='domain']").val();
    //         if (isDomain(domain)) {
    //             table.reloadData('table-parse-data', {where: {domain: domain}}, true)
    //         }
    //     });
    // });
}
layui.use(['element'], function () {
    var element = layui.element;
    element.on('tab(layui-tab)', function (data) {
        switch ($(this).attr("lay-id")) {
            case "manage":
                manage();
                break;
            case "parse":
                parse();
                break;
            case "dns":
                dns();
                break;
            case "transfer":
                transfer()
                break;
            case "renew":
                renew();
                break;
        }
    });
});